/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         //CAMBIAR SEGÚN EL NÚMERO DE RESPUESTAS CORRECTAS O CHECKEADAS
                  TotalCheckBox = 3;
         //RESPUESTAS CAMBIAR POR false O true
                  sym.setVariable("Respuesta_1", true);
                  sym.setVariable("Respuesta_2", true);
                  sym.setVariable("Respuesta_3", true);
                  sym.setVariable("Respuesta_4", false);
                  sym.setVariable("Respuesta_5", false);
                  sym.setVariable("Respuesta_6", false);
                  sym.setVariable("Respuesta_7", false);
                  sym.setVariable("Respuesta_8", false);
                  sym.setVariable("Respuesta_9", false);
                  sym.setVariable("Respuesta_10", false);
                  sym.setVariable("Respuesta_11", false);
                  sym.setVariable("Respuesta_12", false);
                  sym.setVariable("Respuesta_13", false);
                  sym.setVariable("Respuesta_14", false);
                  sym.setVariable("Respuesta_15", false);
                  sym.setVariable("Respuesta_16", false);
                  sym.setVariable("Respuesta_17", false);
                  sym.setVariable("Respuesta_18", false);
                  sym.setVariable("Respuesta_19", false);
                  sym.setVariable("Respuesta_20", false);
                  sym.setVariable("Respuesta_21", false);
                  sym.setVariable("Respuesta_22", false);
                  sym.setVariable("Respuesta_23", false);
                  sym.setVariable("Respuesta_24", false);
                  sym.setVariable("Respuesta_25", false);
                  sym.setVariable("Respuesta_26", false);
                  sym.setVariable("Respuesta_27", false);
                  sym.setVariable("Respuesta_28", false);
                  sym.setVariable("Respuesta_29", false);
                  sym.setVariable("Respuesta_30", false);
                  sym.setVariable("Respuesta_31", false);
                  sym.setVariable("Respuesta_32", false);
                  sym.setVariable("Respuesta_33", false);
                  sym.setVariable("Respuesta_34", false);
                  sym.setVariable("Respuesta_35", false);
                  sym.setVariable("Respuesta_36", false);
                  sym.setVariable("Respuesta_37", false);
                  sym.setVariable("Respuesta_38", false);
                  sym.setVariable("Respuesta_39", false);
                  sym.setVariable("Respuesta_40", false);
                  sym.setVariable("Respuesta_41", false);
                  sym.setVariable("Respuesta_42", false);
                  sym.setVariable("Respuesta_43", false);
                  sym.setVariable("Respuesta_44", false);
                  sym.setVariable("Respuesta_45", false);
                  sym.setVariable("Respuesta_46", false);
                  sym.setVariable("Respuesta_47", false);
                  sym.setVariable("Respuesta_48", false);
                  sym.setVariable("Respuesta_49", false);
                  sym.setVariable("Respuesta_50", false);

      });
      //Edge binding end

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$("TextArea_1").html("<textarea id='seleccion_1' style='width: 760px; height: 34px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 5px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         sym.$("TextArea_2").html("<textarea id='seleccion_2' style='width: 740px; height: 34px; border: 2px solid rgb(204, 204, 204); color: rgb(102, 102, 102); font-size: 26px; font-weight: 400; text-align: left; border-radius: 5px; padding: 0px; resize: none; background: rgba(255, 255, 255, 0.498039);'></textarea>");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_1}", "click", function(sym, e) {
         sym.$("pop_1").fadeIn("slow");
         sym.$("hotspot_1").hide();
         sym.$("hotspot_2").show();
         sym.$("hotspot_3").show();
         sym.getSymbol("escena").$("handmouse").show();
         sym.getSymbol("escena").$("handmouseCopy").show();
         sym.getSymbol("escena").$("handmouseCopy2").hide();
         sym.$("checkbox_1").show();
         sym.$("checkbox_2").show();
         sym.$("checkbox_3").show();
         sym.$("checkbox_4").show();
         sym.$("checkbox_5").show();
         sym.$("checkbox_6").show();
         sym.$("checkbox_7").show();
         sym.$("checkbox_8").show();
         sym.$("checkbox_9").show();
         sym.$("checkbox_10").show();
         sym.$("checkbox_11").hide();
         sym.$("checkbox_12").hide();
         sym.$("checkbox_13").hide();
         sym.$("checkbox_14").hide();
         sym.$("checkbox_15").hide();
         sym.$("checkbox_16").hide();
         sym.$("pop_2").fadeOut("slow");
         sym.$("pop_3").fadeOut("slow");
         sym.$("TextArea_1").fadeOut("slow");
         sym.$("TextArea_2").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_2}", "click", function(sym, e) {
         sym.$("pop_2").fadeIn("slow");
         sym.$("hotspot_1").show();
         sym.$("hotspot_2").hide();
         sym.$("hotspot_3").show();
         sym.getSymbol("escena").$("handmouse").show();
         sym.getSymbol("escena").$("handmouseCopy").hide();
         sym.getSymbol("escena").$("handmouseCopy2").show();
         sym.$("checkbox_1").hide();
         sym.$("checkbox_2").hide();
         sym.$("checkbox_3").hide();
         sym.$("checkbox_4").hide();
         sym.$("checkbox_5").hide();
         sym.$("checkbox_6").hide();
         sym.$("checkbox_7").hide();
         sym.$("checkbox_8").hide();
         sym.$("checkbox_9").hide();
         sym.$("checkbox_10").hide();
         sym.$("checkbox_11").show();
         sym.$("checkbox_12").show();
         sym.$("checkbox_13").show();
         sym.$("checkbox_14").hide();
         sym.$("checkbox_15").hide();
         sym.$("checkbox_16").hide();
         sym.$("pop_1").fadeOut("slow");
         sym.$("pop_3").fadeOut("slow");
         sym.$("TextArea_1").fadeOut("slow");
         sym.$("TextArea_2").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_3}", "click", function(sym, e) {
         sym.$("pop_3").fadeIn("slow");
         sym.$("bt_cerrar").fadeIn("slow");
         sym.$("hotspot_1").show();
         sym.$("hotspot_2").show();
         sym.$("hotspot_3").hide();
         sym.getSymbol("escena").$("handmouse").hide();
         sym.getSymbol("escena").$("handmouseCopy").show();
         sym.getSymbol("escena").$("handmouseCopy2").show();
         sym.$("checkbox_1").hide();
         sym.$("checkbox_2").hide();
         sym.$("checkbox_3").hide();
         sym.$("checkbox_4").hide();
         sym.$("checkbox_5").hide();
         sym.$("checkbox_6").hide();
         sym.$("checkbox_7").hide();
         sym.$("checkbox_8").hide();
         sym.$("checkbox_9").hide();
         sym.$("checkbox_10").hide();
         sym.$("checkbox_11").hide();
         sym.$("checkbox_12").hide();
         sym.$("checkbox_13").hide();
         sym.$("checkbox_14").show();
         sym.$("checkbox_15").show();
         sym.$("checkbox_16").show();
         sym.$("pop_1").fadeOut("slow");
         sym.$("pop_2").fadeOut("slow");
         sym.$("TextArea_1").fadeOut("slow");
         sym.$("TextArea_2").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.$("bt_cerrar").fadeIn("slow");
         sym.$("hotspot_1").show();
         sym.$("hotspot_2").show();
         sym.$("hotspot_3").show();
         sym.getSymbol("escena").$("handmouse").show();
         sym.getSymbol("escena").$("handmouseCopy").show();
         sym.getSymbol("escena").$("handmouseCopy2").show();
         sym.$("checkbox_1").hide();
         sym.$("checkbox_2").hide();
         sym.$("checkbox_3").hide();
         sym.$("checkbox_4").hide();
         sym.$("checkbox_5").hide();
         sym.$("checkbox_6").hide();
         sym.$("checkbox_7").hide();
         sym.$("checkbox_8").hide();
         sym.$("checkbox_9").hide();
         sym.$("checkbox_10").hide();
         sym.$("checkbox_11").hide();
         sym.$("checkbox_12").hide();
         sym.$("checkbox_13").hide();
         sym.$("checkbox_14").hide();
         sym.$("checkbox_15").hide();
         sym.$("checkbox_16").hide();
         sym.$("pop_1").fadeOut("slow");
         sym.$("pop_2").fadeOut("slow");
         sym.$("pop_3").fadeOut("slow");
         sym.$("TextArea_1").fadeIn("slow");
         sym.$("TextArea_2").fadeIn("slow");
         sym.$("bt_cerrar").fadeOut("slow");
         

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'ok'
   (function(symbolName) {   
   
   })("ok");
   //Edge symbol end:'ok'

   //=========================================================
   
   //Edge symbol: 'bad'
   (function(symbolName) {   
   
   })("bad");
   //Edge symbol end:'bad'

   //=========================================================
   
   //Edge symbol: 'bt_validar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_validar");
   //Edge symbol end:'bt_validar'

   //=========================================================
   
   //Edge symbol: 'bt_solucion'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_solucion");
   //Edge symbol end:'bt_solucion'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar");
   //Edge symbol end:'bt_reiniciar'

   //=========================================================
   
   //Edge symbol: 'bt_ayuda'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda");
   //Edge symbol end:'bt_ayuda'

   //=========================================================
   
   //Edge symbol: 'tres'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3000, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("tres");
   //Edge symbol end:'tres'

   //=========================================================
   
   //Edge symbol: 'parpados_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3750, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("parpados_2");
   //Edge symbol end:'parpados_2'

   //=========================================================
   
   //Edge symbol: 'tres_1'
   (function(symbolName) {   
   
   })("tres_1");
   //Edge symbol end:'tres_1'

   //=========================================================
   
   //Edge symbol: 'parpados_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2500, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("parpados_1");
   //Edge symbol end:'parpados_1'

   //=========================================================
   
   //Edge symbol: 'dos'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("dos");
   //Edge symbol end:'dos'

   //=========================================================
   
   //Edge symbol: 'dos_1'
   (function(symbolName) {   
   
   })("dos_1");
   //Edge symbol end:'dos_1'

   //=========================================================
   
   //Edge symbol: 'uno'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2250, function(sym, e) {
         sym.playReverse();
         

      });
      //Edge binding end

   })("uno");
   //Edge symbol end:'uno'

   //=========================================================
   
   //Edge symbol: 'parpados'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2500, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("parpados");
   //Edge symbol end:'parpados'

   //=========================================================
   
   //Edge symbol: 'escena'
   (function(symbolName) {   
   
   })("escena");
   //Edge symbol end:'escena'

   //=========================================================
   
   //Edge symbol: 'pop_1'
   (function(symbolName) {   
   
   })("pop_1");
   //Edge symbol end:'pop_1'

   //=========================================================
   
   //Edge symbol: 'pop_2'
   (function(symbolName) {   
   
   })("pop_2");
   //Edge symbol end:'pop_2'

   //=========================================================
   
   //Edge symbol: 'pop_3'
   (function(symbolName) {   
   
   })("pop_3");
   //Edge symbol end:'pop_3'

   //=========================================================
   
   //Edge symbol: 'bt_info_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").$("pop_info").show();
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").getSymbol("pop_info").play("inicio");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         

      });
      //Edge binding end

   })("bt_cerrar");
   //Edge symbol end:'bt_cerrar'

})(jQuery, AdobeEdge, "EDGE-7842101");